%global _description %{expand:
Jupyter Server Terminals is a Jupyter Server Extension
providing support for terminals.}

Summary:        A Jupyter Server Extension Providing Terminals
Name:           python-jupyter-server-terminals
Version:        0.5.3
Release:        1%{?dist}
License:        BSD-3-Clause
URL:            https://jupyter.org
Source0:        %{pypi_source jupyter_server_terminals}

BuildRequires:  python3-devel python3-pytest
BuildArch:      noarch


%description %_description

%package -n     python3-jupyter-server-terminals
Summary:        A Jupyter Server Extension Providing Terminals

Requires:  python-jupyter-filesystem

%description -n python3-jupyter-server-terminals %_description


%prep
%autosetup -p1 -n jupyter_server_terminals-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files jupyter_server_terminals

install -m 0755 -p -d %{buildroot}%{_sysconfdir}/jupyter/jupyter_server_config.d
mv -v %{buildroot}{%{_prefix},}%{_sysconfdir}/jupyter/jupyter_server_config.d/jupyter_server_terminals.json

%check

%files -n python3-jupyter-server-terminals -f %{pyproject_files}
%doc README.md
%config(noreplace) %{_sysconfdir}/jupyter/jupyter_server_config.d/jupyter_server_terminals.json


%changelog
* Fri Jun 14 2024 Shuo Wang <abushwang@tencent.com> - 0.5.3-1
- initial build
